Skip to main content
`Ctrl`+`K`

# MatTransposeColoringCreate

Creates a matrix coloring context for the matrix product \(C = A*B^T\).

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransposeColoringCreate(Mat mat, ISColoring iscoloring, MatTransposeColoring *color)

Collective

## Input Parameters

- mat - the matrix product C

- iscoloring - the coloring of the matrix; usually obtained with `MatColoringCreate()` or `DMCreateColoring()`

## Output Parameter

- color - the new coloring context

## See Also

Matrices, `Mat`, `MatTransposeColoringDestroy()`, `MatTransColoringApplySpToDen()`, `MatTransColoringApplyDenToSp()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Implementations

MatTransposeColoringCreate_SeqAIJ() in src/mat/impls/aij/seq/matmatmult.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages